org.apache.nutch.storage

## Class Host

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.Host

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent
  Direct Known Subclasses:
    Host.Tombstone

      public class Host
      extends org.apache.gora.persistency.impl.PersistentBase
      implements org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Persistent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Host.Builder` RecordBuilder for Host instances.
    `static class` | `Host.Field` Enum containing all data bean's fields.
    `static class` | `Host.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `_ALL_FIELDS`
    `static org.apache.avro.Schema` | `SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Host()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String key)`
    `Object` | `get(int field$)`
    `int` | `getFieldsCount()` Gets the total field count.
    `Map<CharSequence,CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field.
    `int` | `getInt(String key, int defaultValue)`
    `long` | `getLong(String key, long defaultValue)`
    `Map<CharSequence,ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field.
    `Map<CharSequence,CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field.
    `org.apache.avro.Schema` | `getSchema()`
    `Host.Tombstone` | `getTombstone()`
    `String` | `getValue(String key, String defaultValue)`
    `boolean` | `isInlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'inlinks' field.
    `boolean` | `isMetadataDirty(Map<CharSequence,ByteBuffer> value)` Checks the dirty status of the 'metadata' field.
    `boolean` | `isOutlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'outlinks' field.
    `static Host.Builder` | `newBuilder()` Creates a new Host RecordBuilder
    `static Host.Builder` | `newBuilder(Host.Builder other)` Creates a new Host RecordBuilder by copying an existing Builder
    `static Host.Builder` | `newBuilder(Host other)` Creates a new Host RecordBuilder by copying an existing Host instance
    `Host` | `newInstance()`
    `void` | `put(int field$, Object value)`
    `void` | `setInlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'inlinks' field.
    `void` | `setMetadata(Map<CharSequence,ByteBuffer> value)` Sets the value of the 'metadata' field.
    `void` | `setOutlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'outlinks' field.

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Field Detail

    - #### SCHEMA$

          public static final org.apache.avro.Schema SCHEMA$

    - #### _ALL_FIELDS

          public static final String[] _ALL_FIELDS

  - ### Constructor Detail

    - #### Host

          public Host()

  - ### Method Detail

    - #### getFieldsCount

          public int getFieldsCount()

      Gets the total field count.
      Specified by:
        `getFieldsCount` in class `org.apache.gora.persistency.impl.PersistentBase`
      Returns:
        int field count

    - #### getSchema

          public org.apache.avro.Schema getSchema()

      Specified by:
        `getSchema` in interface `org.apache.avro.generic.GenericContainer`
      Specified by:
        `getSchema` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `get` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### put

          public void put(int field$,
                 Object value)

      Specified by:
        `put` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `put` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### getMetadata

          public Map<CharSequence,ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc

    - #### setMetadata

          public void setMetadata(Map<CharSequence,ByteBuffer> value)

      Sets the value of the 'metadata' field. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc * @param value the value to set.

    - #### isMetadataDirty

          public boolean isMetadataDirty(Map<CharSequence,ByteBuffer> value)

      Checks the dirty status of the 'metadata' field. A field is dirty if it represents a change that has not yet been written to the database. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc * @param value the value to set.

    - #### getOutlinks

          public Map<CharSequence,CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics

    - #### setOutlinks

          public void setOutlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'outlinks' field. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.

    - #### isOutlinksDirty

          public boolean isOutlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'outlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.

    - #### getInlinks

          public Map<CharSequence,CharSequence> getInlinks()

      Gets the value of the 'inlinks' field. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics

    - #### setInlinks

          public void setInlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'inlinks' field. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.

    - #### isInlinksDirty

          public boolean isInlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'inlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.

    - #### newBuilder

          public static Host.Builder newBuilder()

      Creates a new Host RecordBuilder

    - #### newBuilder

          public static Host.Builder newBuilder(Host.Builder other)

      Creates a new Host RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static Host.Builder newBuilder(Host other)

      Creates a new Host RecordBuilder by copying an existing Host instance

    - #### getTombstone

          public Host.Tombstone getTombstone()

      Specified by:
        `getTombstone` in interface `org.apache.gora.persistency.Persistent`

    - #### newInstance

          public Host newInstance()

      Specified by:
        `newInstance` in interface `org.apache.gora.persistency.Persistent`

    - #### contains

          public boolean contains(String key)

    - #### getValue

          public String getValue(String key,
                        String defaultValue)

    - #### getInt

          public int getInt(String key,
                   int defaultValue)

    - #### getLong

          public long getLong(String key,
                     long defaultValue)

Copyright © 2015 The Apache Software Foundation